Debian 10.8 发布:包括多项安全更新和错误修复

joseph · · 666 次点击 · · 开始浏览    
这是一个创建于 的文章,其中的信息可能已经有所发展或是发生改变。
Debian 项目团队宣布其稳定发行版 Debian 10 (代号 "buster")的第八次更新。本次更新主要是对安全问题进行了修正,同时也对一些严重的问题进行了调整。安全公告已经单独发布,并在可用的地方进行了参考。 需要注意的是,这个点发行版(point release)并不构成 Debian 10 的新版本,只是更新了其中的一些软件包。没有必要扔掉旧的 "buster "介质。安装后,可以使用最新的Debian镜像将软件包升级到当前版本。 那些经常从 security.debian.org 安装更新的人不会需要更新很多软件包,大多数这样的更新都包含在点发布中。新的安装镜像很快就会在常规位置提供。 将现有的安装升级到这个版本可以通过将软件包管理系统指向Debian的许多HTTP镜像之一来实现。完整的镜像列表可在以下网址获得。 [https://www.debian.org/mirror/list](https://www.debian.org/mirror/list) ## 杂项错误修正 这个稳定的更新为以下软件包添加了一些重要的修正。 | 包 | 原因 | | ------------------------------------------------------------ | ------------------------------------------------------------ | | [atftp](https://packages.debian.org/src:atftp) | 修复拒绝服务问题[CVE-2020-6097] | | [base-files](https://packages.debian.org/src:base-files) | 更新/etc/debian_version以适应10.8点发行版的需要 | | [ca-certificates](https://packages.debian.org/src:ca-certificates) | 更新Mozilla CA bundle到2.40,黑名单过期 AddTrust External Root | | [cacti](https://packages.debian.org/src:cacti) | 修正SQL注入问题[CVE-2020-35701]和存储XSS问题 | | [cairo](https://packages.debian.org/src:cairo) | 修正图像合成器中掩码的使用 [CVE-2020-35492] | | [choose-mirror](https://packages.debian.org/src:choose-mirror) | 更新镜像列表 | | [cjson](https://packages.debian.org/src:cjson) | 修正cJSON_Minify中的无限循环 | | [clevis](https://packages.debian.org/src:clevis) | 修复initramfs创建;clevis-dracut。安装时触发initramfs的创建 | | [cyrus-imapd](https://packages.debian.org/src:cyrus-imapd) | 修正cron脚本中的版本比较 | | [debian-edu-config](https://packages.debian.org/src:debian-edu-config) | 将主机keytabs清理代码从gosa-modify-host中移出,变成一个独立的脚本,将LDAP调用减少为一个查询 | | [debian-installer](https://packages.debian.org/src:debian-installer) | 使用 4.19.0-14 Linux 内核 ABI;根据提议的更新进行重建 | | [debian-installer-netboot-images](https://packages.debian.org/src:debian-installer-netboot-images) | 对拟议的更新进行重建 | | [debian-installer-utils](https://packages.debian.org/src:debian-installer-utils) | 支持USB UAS设备上的分区 | | [device-tree-compiler](https://packages.debian.org/src:device-tree-compiler) | 修正dtc上的segfault -I fs /proc/device-tree上的segfault | | [didjvu](https://packages.debian.org/src:didjvu) | 增加对tzdata的缺失的构建依赖性 | | [dovecot](https://packages.debian.org/src:dovecot) | 修复搜索包含畸形MIME邮件的邮箱时的崩溃问题 | | [dpdk](https://packages.debian.org/src:dpdk) | 新的上游稳定发布 | | [edk2](https://packages.debian.org/src:edk2) | CryptoPkg/BaseCryptLib:修复NULL析出[CVE-2019-14584] | | [emacs](https://packages.debian.org/src:emacs) | OpenPGP用户ID没有电子邮件地址时,不要崩溃 | | [fcitx](https://packages.debian.org/src:fcitx) | 修正Flatpaks中的输入法支持 | | [file](https://packages.debian.org/src:file) | 默认情况下,将名称递归深度增加到50 | | [geoclue-2.0](https://packages.debian.org/src:geoclue-2.0) | 检查最大允许的准确度水平,即使是对系统应用程序也是如此;使Mozilla API密钥可配置,默认使用Debian特定的密钥;修复使用指示器的显示 | | [gnutls28](https://packages.debian.org/src:gnutls28) | 修复证书过期导致的测试套件错误 | | [grub2](https://packages.debian.org/src:grub2) | 非交互式升级 grub-pc 时,如果 grub-install 失败则退出;运行 grub-install 前明确检查目标设备是否存在; grub-install。增加备份和恢复功能;不要在刚安装 grub-pc 时调用 grub-install | | [highlight.js](https://packages.debian.org/src:highlight.js) | 修复原型污染[CVE-2020-26237] | | [intel-microcode](https://packages.debian.org/src:intel-microcode) | 更新各种微码 | | [iproute2](https://packages.debian.org/src:iproute2) | 修正JSON输出中的bug;修正在启动时使用ip netns add时导致系统DOS的竞赛条件 | | [irssi-plugin-xmpp](https://packages.debian.org/src:irssi-plugin-xmpp) | 不要过早地触发irssi核心连接超时,从而固定STARTTLS连接 | | [libdatetime-timezone-perl](https://packages.debian.org/src:libdatetime-timezone-perl) | 新版tzdata的更新 | | [libdbd-csv-perl](https://packages.debian.org/src:libdbd-csv-perl) | 修正libdbi-perl 1.642-1+deb10u2的测试失败 | | [libdbi-perl](https://packages.debian.org/src:libdbi-perl) | 安全修复[CVE-2014-10402] | | [libmaxminddb](https://packages.debian.org/src:libmaxminddb) | 修复基于堆的缓冲区超读 [CVE-2020-28241] | | [lttng-modules](https://packages.debian.org/src:lttng-modules) | 修正内核版本>=4.19.0-10的编译问题 | | [m2crypto](https://packages.debian.org/src:m2crypto) | 修正与OpenSSL 1.1.1i及更新版本的兼容性 | | [mini-buildd](https://packages.debian.org/src:mini-buildd) | builder.py:sbuild调用:显式设置'--no-arch-all' | | [net-snmp](https://packages.debian.org/src:net-snmp) | snmpd: 为EXTEND-MIB添加cacheTime和execType标志 | | [node-ini](https://packages.debian.org/src:node-ini) | 不允许使用无效的危险字符串作为部分名称[CVE-2020-7788] | | [node-y18n](https://packages.debian.org/src:node-y18n) | 修复原型污染问题[CVE-2020-7774] | | [nvidia-graphics-drivers](https://packages.debian.org/src:nvidia-graphics-drivers) | 新的上游版本;修复可能的拒绝服务和信息披露[CVE-2021-1056] | | [nvidia-graphics-drivers-legacy-390xx](https://packages.debian.org/src:nvidia-graphics-drivers-legacy-390xx) | 新的上游版本;修复可能的拒绝服务和信息披露[CVE-2021-1056] | | [pdns](https://packages.debian.org/src:pdns) | 安全性修复[CVE-2019-10203 CVE-2020-17482] | | [pepperflashplugin-nonfree](https://packages.debian.org/src:pepperflashplugin-nonfree) | 变成一个虚包,负责删除之前安装的插件(不再有功能也不支持) | | [pngcheck](https://packages.debian.org/src:pngcheck) | 修复缓冲区溢出 [CVE-2020-27818] | | [postgresql-11](https://packages.debian.org/src:postgresql-11) | 新的上游稳定版;安全修复[CVE-2020-25694 CVE-2020-25695 CVE-2020-25696] | | [postsrsd](https://packages.debian.org/src:postsrsd) | 确保时间戳标签在尝试解码之前不会太长[CVE-2020-35573] | | [python-bottle](https://packages.debian.org/src:python-bottle) | 停止允许;作为查询字符串分隔符[CVE-2020-28473] | | [python-certbot](https://packages.debian.org/src:python-certbot) | 自动使用ACMEv2 API进行续费,以避免ACMEv1 API删除的问题 | | [qxmpp](https://packages.debian.org/src:qxmpp) | 修正潜在的SEGFAULT连接错误 | | [silx](https://packages.debian.org/src:silx) | python(3)-silx: 添加对 python(3)-scipy 的依赖 | | [slirp](https://packages.debian.org/src:slirp) | 修复缓冲区溢出 [CVE-2020-7039 CVE-2020-8608] | | [steam](https://packages.debian.org/src:steam) | 新的上游版本 | | [systemd](https://packages.debian.org/src:systemd) | journal: journal_file_close()被传递为NULL时,不触发断言 | | [tang](https://packages.debian.org/src:tang) | 避免keygen和更新之间的竞赛条件 | | [tzdata](https://packages.debian.org/src:tzdata) | 新的上游版本;更新包括时区数据 | | [unzip](https://packages.debian.org/src:unzip) | 应用CVE-2019-13232的进一步修复 | | [wireshark](https://packages.debian.org/src:wireshark) | 修复各种崩溃、无限循环和内存泄漏[CVE-2019-16319 CVE-2019-19553 CVE-2020-11647 CVE-2020-13164 CVE-2020-15466 CVE-2020-25862 CVE-2020-25863 CVE-2020-26418 CVE-2020-26421 CVE-2020-26575 CVE-2020-28030 CVE-2020-7045 CVE-2020-9428 CVE-2020-9430 CVE-2020-9431] | ## 安全更新 本次修订为稳定版添加了以下安全更新。安全团队已经发布了关于这些更新的公告: | 公告ID | 包 | | ------------------------------------------------------------ | ------------------------------------------------------------ | | [DSA-4797](https://www.debian.org/security/2020/dsa-4797) | [webkit2gtk](https://packages.debian.org/src:webkit2gtk) | | [DSA-4801](https://www.debian.org/security/2020/dsa-4801) | [brotli](https://packages.debian.org/src:brotli) | | [DSA-4802](https://www.debian.org/security/2020/dsa-4802) | [thunderbird](https://packages.debian.org/src:thunderbird) | | [DSA-4803](https://www.debian.org/security/2020/dsa-4803) | [xorg-server](https://packages.debian.org/src:xorg-server) | | [DSA-4804](https://www.debian.org/security/2020/dsa-4804) | [xen](https://packages.debian.org/src:xen) | | [DSA-4805](https://www.debian.org/security/2020/dsa-4805) | [trafficserver](https://packages.debian.org/src:trafficserver) | | [DSA-4806](https://www.debian.org/security/2021/dsa-4806) | [minidlna](https://packages.debian.org/src:minidlna) | | [DSA-4807](https://www.debian.org/security/2020/dsa-4807) | [openssl](https://packages.debian.org/src:openssl) | | [DSA-4808](https://www.debian.org/security/2020/dsa-4808) | [apt](https://packages.debian.org/src:apt) | | [DSA-4809](https://www.debian.org/security/2020/dsa-4809) | [python-apt](https://packages.debian.org/src:python-apt) | | [DSA-4810](https://www.debian.org/security/2020/dsa-4810) | [lxml](https://packages.debian.org/src:lxml) | | [DSA-4811](https://www.debian.org/security/2020/dsa-4811) | [libxstream-java](https://packages.debian.org/src:libxstream-java) | | [DSA-4812](https://www.debian.org/security/2020/dsa-4812) | [xen](https://packages.debian.org/src:xen) | | [DSA-4813](https://www.debian.org/security/2020/dsa-4813) | [firefox-esr](https://packages.debian.org/src:firefox-esr) | | [DSA-4814](https://www.debian.org/security/2020/dsa-4814) | [xerces-c](https://packages.debian.org/src:xerces-c) | | [DSA-4815](https://www.debian.org/security/2020/dsa-4815) | [thunderbird](https://packages.debian.org/src:thunderbird) | | [DSA-4816](https://www.debian.org/security/2020/dsa-4816) | [mediawiki](https://packages.debian.org/src:mediawiki) | | [DSA-4817](https://www.debian.org/security/2020/dsa-4817) | [php-pear](https://packages.debian.org/src:php-pear) | | [DSA-4818](https://www.debian.org/security/2020/dsa-4818) | [sympa](https://packages.debian.org/src:sympa) | | [DSA-4819](https://www.debian.org/security/2020/dsa-4819) | [kitty](https://packages.debian.org/src:kitty) | | [DSA-4820](https://www.debian.org/security/2020/dsa-4820) | [horizon](https://packages.debian.org/src:horizon) | | [DSA-4821](https://www.debian.org/security/2020/dsa-4821) | [roundcube](https://packages.debian.org/src:roundcube) | | [DSA-4822](https://www.debian.org/security/2021/dsa-4822) | [p11-kit](https://packages.debian.org/src:p11-kit) | | [DSA-4823](https://www.debian.org/security/2021/dsa-4823) | [influxdb](https://packages.debian.org/src:influxdb) | | [DSA-4824](https://www.debian.org/security/2021/dsa-4824) | [chromium](https://packages.debian.org/src:chromium) | | [DSA-4825](https://www.debian.org/security/2021/dsa-4825) | [dovecot](https://packages.debian.org/src:dovecot) | | [DSA-4827](https://www.debian.org/security/2021/dsa-4827) | [firefox-esr](https://packages.debian.org/src:firefox-esr) | | [DSA-4828](https://www.debian.org/security/2021/dsa-4828) | [libxstream-java](https://packages.debian.org/src:libxstream-java) | | [DSA-4829](https://www.debian.org/security/2021/dsa-4829) | [coturn](https://packages.debian.org/src:coturn) | | [DSA-4830](https://www.debian.org/security/2021/dsa-4830) | [flatpak](https://packages.debian.org/src:flatpak) | | [DSA-4831](https://www.debian.org/security/2021/dsa-4831) | [ruby-redcarpet](https://packages.debian.org/src:ruby-redcarpet) | | [DSA-4832](https://www.debian.org/security/2021/dsa-4832) | [chromium](https://packages.debian.org/src:chromium) | | [DSA-4833](https://www.debian.org/security/2021/dsa-4833) | [gst-plugins-bad1.0](https://packages.debian.org/src:gst-plugins-bad1.0) | | [DSA-4834](https://www.debian.org/security/2021/dsa-4834) | [vlc](https://packages.debian.org/src:vlc) | | [DSA-4835](https://www.debian.org/security/2021/dsa-4835) | [tomcat9](https://packages.debian.org/src:tomcat9) | | [DSA-4837](https://www.debian.org/security/2021/dsa-4837) | [salt](https://packages.debian.org/src:salt) | | [DSA-4838](https://www.debian.org/security/2021/dsa-4838) | [mutt](https://packages.debian.org/src:mutt) | | [DSA-4839](https://www.debian.org/security/2021/dsa-4839) | [sudo](https://packages.debian.org/src:sudo) | | [DSA-4840](https://www.debian.org/security/2021/dsa-4840) | [firefox-esr](https://packages.debian.org/src:firefox-esr) | | [DSA-4841](https://www.debian.org/security/2021/dsa-4841) | [slurm-llnl](https://packages.debian.org/src:slurm-llnl) | | [DSA-4843](https://www.debian.org/security/2021/dsa-4843) | [linux-latest](https://packages.debian.org/src:linux-latest) | | [DSA-4843](https://www.debian.org/security/2021/dsa-4843) | [linux-signed-amd64](https://packages.debian.org/src:linux-signed-amd64) | | [DSA-4843](https://www.debian.org/security/2021/dsa-4843) | [linux-signed-arm64](https://packages.debian.org/src:linux-signed-arm64) | | [DSA-4843](https://www.debian.org/security/2021/dsa-4843) | [linux-signed-i386](https://packages.debian.org/src:linux-signed-i386) | | [DSA-4843](https://www.debian.org/security/2021/dsa-4843) | [linux](https://packages.debian.org/src:linux) | ## 移除的包 由于我们无法控制的情况,以下包被删除: | 包 | 原因 | | ------------------------------------------------------------ | --------------------------- | | [compactheader](https://packages.debian.org/src:compactheader) | 与当前Thunderbird版本不兼容 | ## Debian安装程序 安装程序已经更新,包含了稳定版的修正。 ## Reference URLs 本次修订所改变的包的完整列表: [https://ftp.debian.org/debian/dists/buster/ChangeLog](https://ftp.debian.org/debian/dists/buster/ChangeLog) 目前稳定的分布: [https://ftp.debian.org/debian/dists/stable/](https://ftp.debian.org/debian/dists/stable/) 拟对稳定分布进行更新: [https://ftp.debian.org/debian/dists/proposed-updates](https://ftp.debian.org/debian/dists/proposed-updates) 稳定的发布信息(发布说明、勘误表等): [https://www.debian.org/releases/stable/](https://www.debian.org/releases/stable/) 安全公告和信息: [https://www.debian.org/security/](https://www.debian.org/security/)

关注本站微信公众号(和以上内容无关)Debiancn ,扫码关注:DebianCN

666 次点击  
加入收藏 微博
暂无回复
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传